<?php

namespace App\Datatables\Shop;

use Yajra\DataTables\Html\Column;
use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\Unity;

class UnitiesDataTable extends DataTable
{
    public $model_name = 'unities';

    public function query(Unity $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('value')->title('Valeur'),
            $this->makeColumnButtons(),
        ];
    }
}
